Channel Price Types
curl --request GET \
--url https://scx-sbx.api.jtl-software.com/v1/seller/meta/{channel}/price-types \
--header 'Authorization: Bearer <token>'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/seller/meta/{channel}/price-types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://scx-sbx.api.jtl-software.com/v1/seller/meta/{channel}/price-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"supportedPriceTypeList": [
{
"priceTypeId": "B2C",
"displayName": "Standard Price",
"description": "B2C Price"
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Meta
Channel Price Types
Provide channel supported price types
GET
/
v1
/
seller
/
meta
/
{channel}
/
price-types
Channel Price Types
Authorizations
Bearer JWT issued to a seller after they sign up for a JTL-Scx subscription via the JTL
Customer Center. Usage format: Bearer <JWT>.
Path Parameters
Channel name whose supported price types should be returned.
Response
Price types supported by the channel
List of price types (e.g. gross, net, sale) the channel accepts in offer price updates.
Show child attributes
Show child attributes
Was this page helpful?
⌘I